<?php

//Best practivce - Sample how Google interpret languages (Parameter like ?lang=de are not recommended)
//https://support.google.com/webmasters/answer/182192?hl=de

class Language{

	public function check_language(){
	
		//Check query language for forwarding
		$language = $this->get_language($_SERVER['REQUEST_URI']);
		$_SESSION['dialog'] = $language;
		define("LANG_current_language", "".$language.""); // Language constant
		$this->check_language_redirect($language);
	}

	private function check_language_redirect($language){
		
		$current_url = $_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];
		
		if(isset($_GET['notrack'])){$notrack = 'index.php?notrack='.$_GET['notrack'];}else{$notrack = '';}
		
		//Redirect, if the url doesnt locate a subdirectory, but there are more than one language
		if(LANG_path == '' && $this->check_exist_other_language() == true){
			//header("Location: ".$language."/".$notrack);
			
			if (strpos($current_url, $language) == false) {
				echo '<script type="text/javascript">window.location.href="'.$language.'/'.$notrack.'"</script>';
			}
		//If a language was given by url (for example /EN/), but no other language exists it redirects to main folder without any language
		}else if(LANG_path != '' && $this->check_exist_other_language() == false){
			echo '<script type="text/javascript">window.location.href="../"</script>';
		
		//If a language was given by url (for example /EN/) AND other language exists, but on this one no sites exists it redirects to a folder with at least one site in this language
		}else if(LANG_path != '' && $this->check_exist_other_language() == true){
			
			if (strpos($current_url, $language) == false) {
				echo '<script type="text/javascript">window.location.href="../'.$language.'/'.$notrack.'"</script>';
			}
		}
	}
	
	private function get_language($url){
	
		$default_language = $this->get_default_language();
		$result = $default_language;
		
		if($this->check_exist_other_language() == true){
			
			//Creating all necessary folders
			$this->create_all_language_folder();
			
			//Checking the language in the current url
			$lang_in_url = $this->check_language_in_url($url);
			
			//Get current browser language in Upper Case
			$lang_from_browser = $this->get_browser_lang();
			
			//Check if the url language is another language than the default language
			if($lang_in_url != ''){
			
				//Check if this language exists in the DB
				if($this->check_selected_language_exist_in_db($lang_in_url) == true){
					$result = $lang_in_url;
				}
				
			}else if($lang_from_browser != ''){
				
				if($this->check_selected_language_exist_in_db($lang_from_browser) == true){
					$result = $lang_from_browser;
				}
				
			}

		}
		

		return $result;
	}
	
	private function get_all_languages(){

		$languages = array();
		
		$database = new PDO('sqlite:'.LANG_path.PATH_sqlite_path.'');
		$result = $database->query("SELECT lang FROM language;");

			if(is_null ($result) == false){ //Wenn das Array nicht NULL ist
				while ($row = $result->fetch()){
					$languages[] = $row['lang'];
				}
			}
		
		
		return $languages;
	
	}
	
	private function create_all_language_folder(){

		$database = new PDO('sqlite:'.LANG_path.PATH_sqlite_path.'');
		$result = $database->query("SELECT lang FROM language;");

			if(is_null ($result) == false){ //Wenn das Array nicht NULL ist
				while ($row = $result->fetch()){
					
					$language = $row['lang'];
					
					//Checks if langfolder exists
					if(LANG_path == '' AND !file_exists($language)){
						mkdir($language);
						
						$file = $language.'/index.php';
						$ourFileHandle = fopen($file, 'w') or die("can't open file");
						if(fwrite($ourFileHandle, "<?php include('../index.php');?>")){
							fclose($ourFileHandle);
							//echo 'saved';
						}
			
					}
				}
			}

	}
	
	private function check_language_in_url($url){
	
		$result = '';
		$languages = $this->get_all_languages();
		
		foreach($languages as $language){
			
			//Check if one of the available languages ar in the url
			if(strpos($url, $language) == true AND strpos('doITclever', $language) == false){
				$result = $language;break;
			}
		}
		
		return $result;
		
	}
	
	private function check_exist_other_language(){
	
		$database = new PDO('sqlite:'.LANG_path.PATH_sqlite_path.'');
		$result = $database->query("SELECT count(fk_language) FROM sites GROUP BY fk_language;");
		
		$i = 0;
		while ($row = $result->fetch()) { $i++;}
		
		$database = null; // Schliesst DB Verbindung
		
		if($i > 1){return true;}else{return false;}
	}
	
	private function check_selected_language_exist_in_db($language){
	
		$database = new PDO('sqlite:'.LANG_path.PATH_sqlite_path.'');
		$result = $database->query("SELECT * FROM sites as a INNER JOIN language as b ON a.fk_language = b.id WHERE b.lang = '".$language."';");
		
		$i = 0;
		while ($row = $result->fetch()) { $i++;}
		
		$database = null; // Schliesst DB Verbindung
		
		if($i > 0){return true;}else{return false;}
	}
	
	private function get_browser_lang(){
		$browser_lang = !empty($_SERVER['HTTP_ACCEPT_LANGUAGE']) ? strtok(strip_tags($_SERVER['HTTP_ACCEPT_LANGUAGE']), ',') : '';
		$browser_lang = substr($browser_lang, 0,2);
		
		if($browser_lang != ''){
			return strtoupper ($browser_lang);
		}else{
			return $this->get_default_language();
		}
	}
	
	private function get_default_language(){
		
		$default_language = KONST_website_default_language;
		
		$database = new PDO('sqlite:'.LANG_path.PATH_sqlite_path.'');
		$result = $database->query("SELECT value FROM settings WHERE key = 'default_language';");

			//Sollte eine spezielle Einstellung in der Datenbank vorhanden sein, wird diese berücksichtigt
			if(is_null ($result) == false){ //Wenn das Array nicht NULL ist
				while ($row = $result->fetch()){
					$default_language = $row[0];
				}
			}
		
		
		return $default_language;
	}

}
?>