<?php

class Groups {
	
	public function check_functions(){

		//Wenn eine Seite in der URL mitgegeben wird (page), dann wird ein Cookie gesetzt
		if(isset($_REQUEST['page']) AND $_REQUEST['page'] != ''){
			$_SESSION['page'] = $_REQUEST['page'];
		}
		
		//Wenn das Plugin via Shortcut aufgerufen wird (shortcut=yes), dann wird ein Cookie gesetzt
		if(isset($_REQUEST['shortcut']) AND $_REQUEST['shortcut'] != ''){
			$_SESSION['shortcut'] = $_REQUEST['shortcut'];
		}
		
		if(isset($_REQUEST['shortcut']) AND $_REQUEST['shortcut'] == 'no'){
			$_SESSION['page'] = ''; /*Page Session wird gelöscht*/
		}

	}
	
	public function get_dropdown($pluginname){
		
		if(!isset($_SESSION['shortcut']) OR $_SESSION['shortcut'] == 'no'){
			
			if($pluginname != ''){
				
				//Falls eine Page ID im Cookie gesetzt wurde, so wird der entsprechende Seitenname im Dropdown angezeigt
				if(isset($_SESSION['page']) AND $_SESSION['page'] != ''){
					$pageid = $_SESSION['page'];
				}else{
					$pageid = '';
				}
				
				return '
				<form name="change_page" action="'.$_SERVER['PHP_SELF'].'" method="POST">	
					<select onchange="this.form.submit();" class="input_button" name="page">
						'.$this->get_current_pagename($pageid).'
						<option value="0">'.LANG_plugin_original_blog_nosite.'</option>
						'.$this->get_pages($pluginname).'
					</select>
				</form>';
			
			}
		}
	}
	
	public function select_dropdown($pluginname,$blogid){
		
		if($pluginname != ''){
				
			$pageid = $this->get_pageid_by_blogid($blogid);
			
			return '
				<div class="large-10 columns">
						<select class="input_button" name="selected_page">
							'.$this->get_current_pagename($pageid).'
							<option value="0">'.LANG_plugin_original_blog_nosite.'</option>
							'.$this->get_pages($pluginname).'
						</select>
				</div>';
		}		
	}
	
	private function get_pages($pluginname){
		

		$overview = '';

		$db = new PDO('sqlite:'.KONST_original_blog_user_db_path.'');
		if ($stmt = $db->prepare("SELECT a.id, a.meta_pagetitle FROM ".TABLE_cms_sites." as a 
			INNER JOIN ".TABLE_cms_language." as b ON a.fk_language = b.id 
			INNER JOIN ".TABLE_cms_plugins." as c ON a.id = c.fk_sites
			WHERE b.lang = '".LANG_current_language."' AND c.plugin_name = :plugin_name;")) {

			$stmt->bindParam(':plugin_name', $pluginname);
			$stmt->execute();
				
			if(is_null ($stmt) == false){ //Wenn das Array nicht NULL ist
				while ( $row = $stmt->fetch() ){
					$overview .="<option value='".$row['id']."'>".$row['meta_pagetitle']."</option>";
				}
			}
				
		}
				
		return $overview;

	}
	
	
	private function get_current_pagename($pageid){
			
		//Bei einem Neuen Eintrag ist die pageid generell leer
		//In diesem Fall wird noch kurz geprüft, ob eine Page ID in der Session gespeichert wurde. Dann wird diese vorselektiert
		if(!isset($_REQUEST['new']) OR $_REQUEST['new'] == 'yes'){
			if(isset($_SESSION['page']) AND $_SESSION['page'] != '' AND $_SESSION['page'] != 0){
				$pageid = $_SESSION['page'];
			}
		}
		
		if($pageid != ''){
			
			$overview = '';

			$db = new PDO('sqlite:'.KONST_original_blog_user_db_path.'');
			if ($stmt = $db->prepare("SELECT id, meta_pagetitle FROM ".TABLE_cms_sites." WHERE id = :pageid;")) {

				$stmt->bindParam(':pageid', $pageid);
				$stmt->execute();
						
				if(is_null ($stmt) == false){ //Wenn das Array nicht NULL ist
					while ( $row = $stmt->fetch() ){
						$overview .="<option value='".$row['id']."'>".$row['meta_pagetitle']."</option>";
					}
				}
						
			}
						
			return $overview;
		}

	}
	
	private function get_pageid_by_blogid($blogid){
		
		$pageid = '';

		$db = new PDO('sqlite:'.KONST_original_blog_db_path.'');
		if ($stmt = $db->prepare("SELECT fk_sites FROM blog WHERE id = :blogid;")) {

				$stmt->bindParam(':blogid', $blogid);
				$stmt->execute();
					
				if(is_null ($stmt) == false){ //Wenn das Array nicht NULL ist
					while ( $row = $stmt->fetch() ){
						$pageid  = $row['fk_sites'];
					}
				}
					
		}
					
		return $pageid ;
			
	}

}
?>