DROP TABLE IF EXISTS blog_groups;
DROP TABLE IF EXISTS blog_pictures;

DROP TABLE IF EXISTS blog;
DROP TABLE IF EXISTS groups;
DROP TABLE IF EXISTS pictures;

------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS blog(
	`id` INTEGER PRIMARY KEY AUTOINCREMENT,
	`title` varchar(50),
	`subtitle` varchar(60),
	`autor` varchar(60),
	`description` varchar(100),
	`message` varchar(1000),
	`url` varchar(300),
	`video` varchar(1000),
	`download` varchar(500),
	`published` DATE,
	`ended` DATE,
	`home` SMALLINT,
	`rss` SMALLINT,
	`language` varchar(10) NOT NULL,
	`visible` SMALLINT NOT NULL,
	`active` SMALLINT NOT NULL,
	`entrydate` DATETIME DEFAULT CURRENT_TIMESTAMP
	);
	
INSERT INTO blog(`title`,`subtitle`,`autor`,`description`,`message`,`url`,`video`,`download`,`published`,`ended`,`home`,`rss`,`language`,`visible`,`active`) VALUES
('Demo','Dies ist ein Demo','doitclever','Kurze Demobeschreibung','Die ist ein Demo Beschreibungstext des ersten Blogbeitrags.','https://www.doitclever.ch','','','2018-02-12','2030-02-12',1,0,'DE',1,1);

------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS groups(
	`id` INTEGER PRIMARY KEY AUTOINCREMENT,
	`name` varchar(100) NOT NULL,
	`visible` SMALLINT NOT NULL,
	`active` SMALLINT NOT NULL,
	`entrydate` DATETIME DEFAULT CURRENT_TIMESTAMP
	);
	
INSERT INTO groups(`name`,`visible`,`active`) VALUES
('Standard',1,1);

------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS pictures(
	`id` INTEGER PRIMARY KEY AUTOINCREMENT,
	`picture` varchar(500) NOT NULL,
	`visible` SMALLINT NOT NULL,
	`active` SMALLINT NOT NULL,
	`entrydate` DATETIME DEFAULT CURRENT_TIMESTAMP
	);
	
------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS blog_groups(
	`id` INTEGER PRIMARY KEY AUTOINCREMENT,
	`fk_blog` INTEGER NOT NULL,
	`fk_groups` INTEGER NOT NULL,
	`active` INTEGER NOT NULL,
	`date` DATETIME DEFAULT CURRENT_TIMESTAMP
	);

------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS blog_pictures(
	`id` INTEGER PRIMARY KEY AUTOINCREMENT,
	`fk_blog` INTEGER NOT NULL,
	`fk_pictures` INTEGER NOT NULL,
	`active` INTEGER NOT NULL,
	`date` DATETIME DEFAULT CURRENT_TIMESTAMP
	);
