<?php
session_start();

/*================================================== Configuration =========================================================*/
$configartion_paths = 'Homepage/php/Configuration/config.php';
$message = "";

/*================================================== Locationcheck =========================================================*/
if (file_exists($configartion_paths)) {
	define("LANG_path", "");
} else {
	define("LANG_path", "../");
}
require_once(LANG_path . $configartion_paths);

/*===================================================== Classes ============================================================*/
require_once(LANG_path . PATH_classen_path . 'ClsLanguage.php');
$language = new Language();
$language->check_language();

if (file_exists(LANG_path . PATH_website_foundation_extra)) {
	$foundation_divs = array();
	$foundation_divs = json_decode(file_get_contents(LANG_path . PATH_website_foundation_extra)); //Array for div wrappers
}

require_once(LANG_path . PATH_classen_path . 'ClsHelper.php');
$helper = new Helper();
$helper->check_navigation_type();

require_once(LANG_path . PATH_classen_path . 'ClsCheckOut.php');
$check = new CheckOut();

require_once(LANG_path . PATH_classen_path . 'ClsNavigation.php');

require_once(LANG_path . PATH_classen_path . 'ClsContent.php');
$content = new Content();
$content_array = $content->create_content(); //The content array is created here to increase the speed

require_once(LANG_path . PATH_classen_path . 'ClsDivs.php');
$divs = new Divs();

require_once(LANG_path . PATH_classen_path . 'ClsSettings.php');
$settings = new Settings();

require_once(LANG_path . PATH_classen_path . 'ClsPlugins.php');
$plugins = new Plugins();

require_once(LANG_path . PATH_classen_path . 'ClsTracking.php');
$tracking = new Tracking();
$tracking->start_tracking($_SERVER['REMOTE_ADDR'], $content_array['id'], $content_array['meta_title']);



$_SESSION['page'] = $content_array['id'];

/*==============================================Edit Mode==============================================*/
$editing = false;
if (file_exists(LANG_path . '../CMS/php/Classes/ClsEdit.php')) {
	require_once(LANG_path . '../CMS/php/Classes/ClsEdit.php');
	$edit = new Edit();
	$message .= $edit->check_functions();
	$editing = $edit->check_editmode();
}

?>


<!DOCTYPE HTML>

<html lang="<?php echo strtolower(LANG_current_language); ?>">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<?php if (file_exists(LANG_path . PATH_favicon . '.jpg')) {
		echo '
	<link rel="icon" type="image/x-icon" href="' . LANG_path . PATH_favicon . '.jpg" >
	<link rel="shortcut icon" type="image/x-icon" href="' . LANG_path . PATH_favicon . '.jpg" >';
	} ?>
	<?php if (file_exists(LANG_path . PATH_favicon . '.ico')) {
		echo '
	<link rel="icon" type="image/x-icon" href="' . LANG_path . PATH_favicon . '.ico" >
	<link rel="shortcut icon" type="image/x-icon" href="' . LANG_path . PATH_favicon . '.ico" >';
	} ?>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title><?php echo $content_array['meta_seotitle']; ?></title>

	<meta name="keywords" content="<?php echo $content_array['meta_keywords']; ?>">
	<meta name="description" content="<?php echo $content_array['meta_description']; ?>">
	<meta name="author" content="<?php echo $content_array['meta_autor']; ?>">
	<meta name="date" content="<?php echo $content_array['date']; ?>">

	<?php /*==========================================Foundation-Framework===============================================*/ ?>
	<?php

	if (@$foundation_divs->{'foundation5'} == 'YES') {

		define("FOUNDATION_active", "YES");
		echo '<link rel="stylesheet" href="' . LANG_path . PATH_website_foundation . 'css/foundation.min.css" type="text/css">';
	}

	if (@$foundation_divs->{'foundation6'} == 'YES') {

		define("FOUNDATION_active", "YES");
		echo '<!-- Compressed CSS -->
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/foundation/6.4.3/css/foundation.min.css" integrity="sha256-itWEYdFWzZPBG78bJOOiQIn06QCgN/F0wMDcC4nOhxY=" crossorigin="anonymous" />';
	}


	if (@$foundation_divs->{'bootstrap3-7'} == 'YES') {

		define("BOOTSTRAP_active", "YES");
		echo '<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">';
	}

	if (@$foundation_divs->{'bootstrap4'} == 'YES') {

		define("BOOTSTRAP_active", "YES");
		echo '<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css" integrity="sha384-rwoIResjU2yc3z8GV/NPeZWAv56rSmLldC3R/AZzGRnGxQQKnKkoFVhFQhNUwEyJ" crossorigin="anonymous">';
	}

	if (@$foundation_divs->{'bootstrap4-beta'} == 'YES') {

		define("BOOTSTRAP_active", "YES");
		echo '<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css" integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb" crossorigin="anonymous">';
	}

	if (@$foundation_divs->{'bootstrap4-0'} == 'YES') {

		define("BOOTSTRAP_active", "YES");
		echo '<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">';
	}

	if (@$foundation_divs->{'bootstrap5-0'} == 'YES') {

		define("BOOTSTRAP_active", "YES");
		echo '<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">';
	}


	?>

	<script>
		if (window !== window.top) {
			<?php $frame = 'aktiv'; ?>
		} else {
			<?php $frame = 'inaktiv'; //Check if opened in a iframe 
			?>
		}
	</script>


	<?php $plugins->check_style_include($content_array['id']); // Include plugin specific CSS files  
	?>
	<?php if (KONST_developer_mode == 'yes') {
		$plugins->direct_style_includes();
	} ?>

	<?php /*==============================================Website CSS File==================================================*/

	// Include the minified CSS if exists
	if (file_exists(LANG_path . PATH_css_min_path) and strpos($_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'], '/user/') === false and strpos($_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'], 'localhost') === false) {
		echo '<link rel="stylesheet" href="' . LANG_path . PATH_css_min_path . '" type="text/css">';
	} else {
		echo '<link rel="stylesheet" href="' . LANG_path . PATH_css_path . '?version=' . rand(1, 100000) . '" type="text/css">';
	}

	?>

	<?php $plugins->check_meta_include($content_array['id'], '1'); // Include plugin specific meta.php files 
	?>
	<?php if (KONST_developer_mode == 'yes') {
		$plugins->direct_meta_includes();
	} ?>

	<?php if ($editing == true) {
		echo '<script src="' . LANG_path . '../CMS/ck/ckeditor.js" type="text/javascript"></script>';
		echo '<link rel="stylesheet" href="' . LANG_path . '../CMS/css/edit.css" type="text/css">';
	} ?>

</head>


<body id="webpage">


	<?php
	if ($editing == true) {
		echo $message;
		$message = "";
		echo '<form class="ajax">
				<input type="submit" id="cms_save_button" value="' . $edit->get_save_button() . '">
				<input name="page" type="hidden" value="' . @$content_array['id'] . '">
				<input type="hidden" name="function" id="function" value="edit">';

		//Dieses SPAN wird vom hidden.js bei einem AJAX Call abgefragt (damit das iframe erneut korrekt geladen wird)
		if (LANG_path != '') {
			echo '<span id="own_url" style="display:none;">../../' . basename(__DIR__) . '/' . LANG_current_language . '/index.php?page=' . KONST_page . '&menu=' . $_SESSION['menu_language'] . '</span>';
		} else {
			echo '<span id="own_url" style="display:none;">../../' . basename(__DIR__) . '/index.php?page=' . KONST_page . '&menu=' . $_SESSION['menu_language'] . '</span>';
		}
	}
	?>

	<?php $plugins->check_meta_include($content_array['id'], '2'); // Include plugin specific meta.php files 
	?>


	<?php

	if (file_exists(LANG_path . PATH_website_foundation_extra)) {

		for ($i = 1; $i < 500; $i++) {

			$div_id = $divs->get_div_id($i);

			if ($div_id != '') {


				$divname = $divs->get_div_name($div_id);

				echo @$divs->foundation_extra_class($foundation_divs->$divname, 'start');
				if ($editing == true) {
					echo @$content->get_content($content_array, $div_id, 'edit');
					$plugins->check_plugin_include($content_array['id'], $div_id, 'edit');
				} else {
					echo @$content->get_content($content_array, $div_id);
					$plugins->check_plugin_include($content_array['id'], $div_id);
				}

				if (KONST_developer_mode == 'yes' and $div_id == '6') {
					$plugins->direct_plugin_include();
				} /*Lädt das Plugin nur im Content Bereich*/
				echo @$divs->foundation_extra_class($foundation_divs->$divname, 'end');
			}
		}
	}



	?>

	<?php /*==========================================Foundation-Framework===============================================*/ ?>
	<?php

	if (@$foundation_divs->{'foundation5'} == 'YES') {
		echo '
		
		<script src="' . LANG_path . PATH_website_foundation . 'js/vendor/jquery.js"></script>
		<script src="' . LANG_path . PATH_website_foundation . 'js/vendor/modernizr.js"></script>
		<script src="' . LANG_path . PATH_website_foundation . 'js/foundation/foundation.min.js"></script>';
	}

	if (@$foundation_divs->{'foundation6'} == 'YES') {
		echo '
	
		<!-- Compressed JavaScript -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/foundation/6.4.3/js/foundation.min.js" integrity="sha256-Nd2xznOkrE9HkrAMi4xWy/hXkQraXioBg9iYsBrcFrs=" crossorigin="anonymous"></script>';
	}


	if (@$foundation_divs->{'bootstrap3-7'} == 'YES') {
		echo '
	
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>';
	}

	if (@$foundation_divs->{'bootstrap4'} == 'YES') {
		echo '
	
		<script src="https://code.jquery.com/jquery-3.1.1.slim.min.js" integrity="sha384-A7FZj7v+d/sdmMqp/nOQwliLvUsJfDHW+k9Omg/a/EheAdgtzNs3hpfag6Ed950n" crossorigin="anonymous"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js" integrity="sha384-DztdAPBWPRXSA/3eYEEUWrWCy7G5KFbe8fFjk5JAIxUYHKkDx6Qin1DkWx51bBrb" crossorigin="anonymous"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js" integrity="sha384-vBWWzlZJ8ea9aCX4pEW3rVHjgjt7zpkNpZk+02D9phzyeVkE+jo0ieGizqPLForn" crossorigin="anonymous"></script>';
	}

	if (@$foundation_divs->{'bootstrap4-beta'} == 'YES') {
		echo '
	
		<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js" integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh" crossorigin="anonymous"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js" integrity="sha384-alpBpkh1PFOepccYVYDB4do5UnbKysX5WZXm3XxPqe5iKTfUKjNkCk9SaVuEZflJ" crossorigin="anonymous"></script>';
	}

	if (@$foundation_divs->{'bootstrap4-0'} == 'YES') {
		echo '
	
		<script src="https://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>';
	}

	if (@$foundation_divs->{'bootstrap5-0'} == 'YES') {
		echo '
		<script src="https://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>';
	}

	?>

	<?php $plugins->check_includes($content_array['id']); // Include plugin specific path.php files 
	?>
	<?php if (KONST_developer_mode == 'yes') {
		$plugins->direct_paths_includes();
	} ?>

	<?php if ($editing == true) {
		echo '<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>';
		echo '<script src="' . LANG_path . '../CMS/js/edit.js" type="text/javascript"></script>';
	}
	?>

	<?php
	if ($editing == true) {
		echo '</form>';
	}
	?>

	<?php
	// Include the minified CSS if exists
	if (file_exists(LANG_path . PATH_js_min_path) and strpos($_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'], '/user/') === false and strpos($_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'], 'localhost') === false) {
		echo '<script src="' . LANG_path . PATH_js_min_path . '" type="text/javascript"></script>';
	} else {
		echo '<script src="' . LANG_path . PATH_js_path . '" type="text/javascript"></script>';
	}
	?>


	<?php if (@$foundation_divs->{'foundation5'} == 'YES' or @FOUNDATION_active == 'YES') {echo '<script>$(document).foundation();</script>';
	} // Initialisierung Foundation Javascripts 
	?>


</body>

</html>